import button from './src/components/cw/button/index'
import link from './src/components/cw/button/link'
import listbtn from './src/components/cw/button/listbtn'
import listlink from './src/components/cw/button/listlink'
import dialog from './src/components/cw/dialog'
import search from './src/components/cw/search'
import table from './src/components/cw/table'
import toolbar from './src/components/cw/toolbar'
import dateRange from './src/components/cw/form/dateRange'
import pagination from './src/components/cw/pagination/index'


const comment = {
    install: function(Vue) {
        Vue.component('cw-table', table)
        Vue.component('cw-dialog', dialog)
        Vue.component('cw-button', button)
        Vue.component('cw-link', link)
        Vue.component('cw-listbtn', listbtn)
        Vue.component('cw-listlink', listlink)
        Vue.component('cw-search', search)
        Vue.component('cw-toolbar', toolbar)
        Vue.component('cw-dateRange', dateRange)
        Vue.component('cw-pagination', pagination)
    }
}
if (typeof window !== 'undefined' && window.Vue) {
    window.Vue.use(comment)
}

// 导出模块
export default comment