import button from './button/index'
import link from './button/link'
import listbtn from './button/listbtn'
import listlink from './button/listlink'
import dialog from './dialog'
import search from './search'
import table from './table'
import toolbar from './toolbar'
import dateRange from './form/dateRange'
import timeRange from './form/timeRange'
import input from './form/input'
import tinput from './form/tinput'
// import time from './form/time'
// import date from './form/date'
import pagination from './pagination/index'
// import tooltip from './tooltip/index'
// import svgicon from '../icon/svg-icon'


import axios from "axios";

const comment = {
    install: function(Vue) {
        Vue.component('cw-table', table)
        Vue.component('cw-dialog', dialog)
        Vue.component('cw-button', button)
        Vue.component('cw-link', link)
        Vue.component('cw-listbtn', listbtn)
        Vue.component('cw-listlink', listlink)
        Vue.component('cw-search', search)
        Vue.component('cw-toolbar', toolbar)
        Vue.component('cw-dateRange', dateRange)
        Vue.component('cw-timeRange', timeRange)
        Vue.component('cw-input', input)
        Vue.component('cw-tinput', tinput)
        // Vue.component('cw-time', time)
        // Vue.component('cw-date', date)
        Vue.component('cw-pagination', pagination)
        // Vue.component('cw-tooltip', tooltip)
        // Vue.component('svg-icon', svgicon)

        Vue.prototype.$http = axios;
    }
}
if (typeof window !== 'undefined' && window.Vue) {
    window.Vue.use(comment)
}

// 导出模块
export default comment